<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>networkReadGraph()
: <a class="el" href="classTIGL.html#a70e3fc3f8dde6ef1c8bdbad2fba1f0bd">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>node
: <a class="el" href="classTIGLContainersEdgeBase.html#a655d339702492c5f16db4c9cbd7bc2f8">TIGLContainersEdgeBase&lt; idType &gt;</a>
</li>
<li>numActive()
: <a class="el" href="classTIGLComputationManager.html#ab834aa5a7c594f48b54945ea8c1bcd53">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numAllLocalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#ac94d0de69e2fe22749f13935ed6d3ca1">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>numAllocThreads
: <a class="el" href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>numDevices
: <a class="el" href="classTIGL.html#affa2deafa252a76aabf16e1b52c5992d">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLCommunicationManager.html#a4ae7ac30bbb2d7938b2bed7b4a4f21db">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>numExternalMessages
: <a class="el" href="classTIGLContainersAggregate.html#adbc8349ec3065a2dfccebce5527bec82">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numExternalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#a1bbbfafbeee8aff13bc44e6e3a324c4a">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>numHaltSysMessages
: <a class="el" href="classTIGLComputationManager.html#a4e749987615a77add6a44801fb35b591">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numIdleSysMessages
: <a class="el" href="classTIGLComputationManager.html#af1ac42b93564a6a2925bc7229ade4f40">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numLocalActive
: <a class="el" href="classTIGLComputationManager.html#a3acf15a44b963c38fac7fe053499fd81">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>numLocalActiveNodes
: <a class="el" href="classTIGLContainersAggregate.html#a36c75840693e07da4d59fe8269720fa9">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numLocalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#afcae3fd26f1e477e47bd9e7954b6b84d">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>numLocalVertices
: <a class="el" href="classTIGL.html#aff8f26ab7c900ed74baa523afc72f369">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#adbea704396b2b82f8f9b260c86206e6e">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numMutationTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a90a38748ce1f33da1b9cc1b097e8e106">TIGLCommunicationMessageDev</a>
</li>
<li>numSS()
: <a class="el" href="classTIGL.html#a788a7f3ca72fa79b55203763225eb393">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>numSysTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a02805f910460aa8cb91e81003089b045">TIGLCommunicationMessageDev</a>
</li>
<li>numTotalActiveNodes
: <a class="el" href="classTIGLContainersAggregate.html#a38a14d8e84fbe0103c1c043d4485d958">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numTotalMessages
: <a class="el" href="classTIGLContainersAggregate.html#acc02e42cdc6d4cf91525e563535c6ac2">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>numTotalVertices
: <a class="el" href="classTIGL.html#ac7f5c28d16a3566f413010d3e242167e">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>numTx
: <a class="el" href="structTIGLCommunicationMessageDev.html#a3647d597dc8f1678971485b7b8086279">TIGLCommunicationMessageDev</a>
</li>
<li>numVertices
: <a class="el" href="classPageRankVertex.html#a34843c26de6abc929d7583aac0a37512">PageRankVertex&lt; DataType &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#a305621751cb671f32cfac297765b50bc">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
